Get All QnA
curl --request POST \
--url https://api.birdeye.com/resources/v1/quero/external/get-all-qna \
--header 'Content-Type: application/json' \
--data '
{
"businessNumbers": [
175009059995828,
169028735563867,
166609110899853,
164873686901155,
164863775654389,
164847076003414
]
}
'import requests
url = "https://api.birdeye.com/resources/v1/quero/external/get-all-qna"
payload = { "businessNumbers": [175009059995828, 169028735563867, 166609110899853, 164873686901155, 164863775654389, 164847076003414] }
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
businessNumbers: [
175009059995828,
169028735563867,
166609110899853,
164873686901155,
164863775654389,
164847076003414
]
})
};
fetch('https://api.birdeye.com/resources/v1/quero/external/get-all-qna', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"qnAs": [
{
"question": {
"text": "What payment options does RetailPrime platform support?",
"updatedDate": "2026-01-15T09:00:00.000+0000",
"answers": [
{
"text": "RetailPrime supports credit card, debit card, and PayPal payments."
}
]
},
"allLocations": true,
"source": "AI",
"sourceType": "FILE",
"sourceValue": "sample.txt",
"businessNumbers": [
123456789123456,
987654321987654
]
}
]
}{
"code": 1167,
"message": "API key is missing"
}{
"code": 1161,
"message": "Invalid API key"
}{
"code": 1532,
"message": "Business id is missing or invalid."
}{
"code": 89,
"message": "Rate limit exceeded"
}FAQ
Get All QnA
Customers can fetch a paginated, ordered list of all QnA entries available for a business.
POST
/
v1
/
quero
/
external
/
get-all-qna
Get All QnA
Headers
e.g. application/json
e.g. [Required] Partner specific API key provided by Birdeye for data exchange..
e.g. [Required] User associated businessNumber
Media type of the JSON request body.
Query Parameters
The starting index for the records to fetch. Default is 0 if not specified.
The number of QnA records to return.Default is 25 if not specified.
The ordering in which records should be returned by last updated date (0 for ascending, 1 for descending).Default is 1 if not specified.
Body
application/json
[OPTIONAL] Business numbers of locations under enterprise. If not assigned, all valid QnA assigned in the enterprise will be selected.
Response
OK
List of QnA objects.
Show child attributes
Show child attributes
⌘I